/*
 * MajakasLib.h
 *
 * Created: 2.04.2013 12:00:05
 *  Author: Rain
 */ 


#ifndef MAJAKALIB_H_
#define MAJAKALIB_H_

#define RIGHT_MT	3
#define LEFT_MT		2

#define RIGHT_FWD	1
#define RIGHT_REV	-1
#define LEFT_FWD	-1
#define LEFT_REV	1

#define AUTO		1
#define MANUAL		0

#include <homelab/pin.h>
#include <homelab/usart.h>
#include <homelab/timer2561.h>
#include <homelab/module/motors.h>

#include <avr/interrupt.h>

static const usart port		= USART(1);

//Initialize IR Beacon receiver
void IR_Init();

// Search IR channel.
// channel	 : 1-9 (searches for IR beacon)
// autodrive : AUTO/MANUAL, enables interrupt based autodrive when robot sees selected channel
// select correct motor pins and directions in header file!
void IR_Channel(uint8_t channel, uint8_t autodrive);

// Read IR channel from sensor
uint8_t IR_Read();



#endif /* MAJAKASLIB_H_ */